/find_disbursements

A dedicated endpoint for retrieving disbursement (i.e., push) payment history. This endpoint allows clients to retrieve a list of disbursements for specific push orders (pnm_order_identifier or site_order_identifier) or the push orders associated with a specific customer (pnm_customer_identifier or site_customer_identifier). This endpoint is only for returning push payments and not regular consumer payments (use the /find_payments endpoint for regular consumer payments).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Retrieves the disbursement payment history for a specific push order or customer account.

string
required

The PayNearMe-created ID for the push order.

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

string

The arbitrary string that the client uses to refer to the push order.

string

A PayNearMe-assigned ID for the customer.

string

A unique, client-defined ID for the consumer.

string
enum
Defaults to desc

Sort direction: 'asc' (oldest first) or 'desc' (newest first). Default: 'desc'

Allowed:
integer

Used for pagination, this parameter specifies the maximum number of disbursements to return. Default value is 10.

integer

Used for pagination, this parameter specifies the number of disbursement payments to skip within the response. Default value is 0.

date

Filter on or after this date (YYYY-MM-DD)

date

Filter on or before this date (YYYY-MM-DD)

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json